/*
 * Calling All Functions
 * by Javantea
 * Dec 14, 2014
 * Use write instead of printf so that we can remove stdlib.
 * It outputs binary.
 * This is really designed to use gdb.
 */
#include <unistd.h>
#include <stdio.h>

int f0(void);
int f1(int x);
int f2a(int x, int y);
int f2b(int x, int y);
int f2c(int x, int y);

int main(int argc, char **argv)
{
	int r, s, t;
	r  = f0();
	s  = f1(r);
	t  = f2a(r, s);
	r  = f2b(s, t);
	s  = f2c(r, t);
	write(STDOUT_FILENO, &s, sizeof(int));
	return 0;
}
